Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit
Class StaticAuditLogService

    java.lang.Object
      org.jbpm.process.audit.StaticAuditLogService

    public class StaticAuditLogService

extends Object

This class is essentially a very simple implementation of a service that deals with ProcessInstanceLog entities.

Please see the public methods for the interface of this service. Similar to the "ProcessInstanceDbLog", the idea here is that we have a entity manager factory (similar to a session factory) that we repeatedly use to generate an entity manager (which is a persistence context) for the specific service command. While ProcessInstanceLog entities do not contain LOB's (which sometimes necessitate the use of tx's even in read situations), we use transactions here none-the-less, just to be safe. Obviously, if there is already a running transaction present, we don't do anything to it. At the end of every command, we make sure to close the entity manager we've been using -- which also means that we detach any entities that might be associated with the entity manager/persistence context. After all, this is a service which means our philosophy here is to provide a real interface, and not a leaky one.

Constructor Summary
`StaticAuditLogService()` Deprecated.
`StaticAuditLogService(Environment env)` Deprecated.

Method Summary
`static void` | `clear()`
`static void` | `dispose()` Deprecated.
`protected void` | `finalize()`
`static List<ProcessInstanceLog>` | `findActiveProcessInstances(String processId)`
`static List<NodeInstanceLog>` | `findNodeInstances(long processInstanceId)`
`static List<NodeInstanceLog>` | `findNodeInstances(long processInstanceId, String nodeId)`
`static ProcessInstanceLog` | `findProcessInstance(long processInstanceId)`
`static List<ProcessInstanceLog>` | `findProcessInstances()`
`static List<ProcessInstanceLog>` | `findProcessInstances(String processId)`
`static List<ProcessInstanceLog>` | `findSubProcessInstances(long processInstanceId)`
`static List<VariableInstanceLog>` | `findVariableInstances(long processInstanceId)`
`static List<VariableInstanceLog>` | `findVariableInstances(long processInstanceId, String variableId)`
`static void` | `setEnvironment(Environment newEnv)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticAuditLogService

    @Deprecated
    public StaticAuditLogService()

  Deprecated.

### StaticAuditLogService

    @Deprecated
    public StaticAuditLogService(Environment env)

  Deprecated.

Method Detail

### setEnvironment

    public static void setEnvironment(Environment newEnv)

### findProcessInstances

    public static List<ProcessInstanceLog> findProcessInstances()

### findProcessInstances

    public static List<ProcessInstanceLog> findProcessInstances(String processId)

### findActiveProcessInstances

    public static List<ProcessInstanceLog> findActiveProcessInstances(String processId)

### findProcessInstance

    public static ProcessInstanceLog findProcessInstance(long processInstanceId)

### findSubProcessInstances

    public static List<ProcessInstanceLog> findSubProcessInstances(long processInstanceId)

### findNodeInstances

    public static List<NodeInstanceLog> findNodeInstances(long processInstanceId)

### findNodeInstances

    public static List<NodeInstanceLog> findNodeInstances(long processInstanceId,
                                                          String nodeId)

### findVariableInstances

    public static List<VariableInstanceLog> findVariableInstances(long processInstanceId)

### findVariableInstances

    public static List<VariableInstanceLog> findVariableInstances(long processInstanceId,
                                                                  String variableId)

### clear

    public static void clear()

### dispose

    @Deprecated
    public static void dispose()

  Deprecated.

### finalize

    protected void finalize()
                     throws Throwable

  Overrides:
    `finalize` in class `Object`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.